com.sun.jna.platform.win32

## Interface NTSecApi

    public interface NTSecApi

Ported from NTSecApi.h Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

### Nested Class Summary

Nested Classes
`static class` `NTSecApi.LSA_FOREST_TRUST_BINARY_DATA`
`static class` `NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO`
`static class` `NTSecApi.LSA_FOREST_TRUST_INFORMATION`
`static class` `NTSecApi.LSA_FOREST_TRUST_RECORD`
`static class` `NTSecApi.LSA_UNICODE_STRING` The LSA_UNICODE_STRING structure is used by various Local Security Authority (LSA) functions to specify a Unicode string.
`static class` `NTSecApi.PLSA_FOREST_TRUST_INFORMATION` The LSA_FOREST_TRUST_INFORMATION structure contains Local Security Authority forest trust information.
`static class` `NTSecApi.PLSA_FOREST_TRUST_RECORD`
`static class` `NTSecApi.PLSA_UNICODE_STRING` Pointer to an LSA_UNICODE_STRING.

### Field Summary

Fields
`static int` `ForestTrustDomainInfo` Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure.
`static int` `ForestTrustTopLevelName` Record contains an included top-level name.
`static int` `ForestTrustTopLevelNameEx` Record contains an excluded top-level name.

### Field Detail

#### ForestTrustTopLevelName

    static final int ForestTrustTopLevelName

Record contains an included top-level name.

See Also:
  Constant Field Values

#### ForestTrustTopLevelNameEx

    static final int ForestTrustTopLevelNameEx

Record contains an excluded top-level name.

See Also:
  Constant Field Values

#### ForestTrustDomainInfo

    static final int ForestTrustDomainInfo

Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure.

See Also:
  Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.